transaction_status_api.find_transaction
since The Mysterious Future disabled testnet: not working — Not yet enabled. mainnet: not working — Not yet enabled.
Defined in the steem source (52dcfabb) but not served by public nodes.
Purpose
返回给定交易 id(transaction id)的状态。参数:trx_id:string;expiration:timestamp(可选)
结果将包含以下 status 值之一:
| 状态 | 含义 |
|---|---|
unknown | 到期时间在未来,交易未包含在区块或内存池(mempool)中 |
within_mempool | 交易位于内存池(mempool)中 |
within_reversible_block | 交易已包含在区块中,但区块尚不可逆 |
within_irreversible_block | 交易已包含在区块中,且区块不可逆 |
expired_reversible | 交易已过期,交易并非不可逆(交易可能位于分叉中) |
expired_irreversible | 交易已过期,交易不可逆(交易不可能位于分叉中) |
too_old | 交易过于久远,节点对其一无所知 |
Parameters
PARAMETERS
json
{
"transaction_id": "0000000000000000000000000000000000000000",
"expiration": "2016-03-24T18:00:21"
}⚠ 该方法在 steem 源码中有定义,但公共节点未启用。
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "transaction_status_api.find_transaction",
"params": {
"transaction_id": "0000000000000000000000000000000000000000"
},
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "transaction_status_api.find_transaction",
"params": {
"transaction_id": "0000000000000000000000000000000000000000",
"expiration": "2016-03-24T18:00:21"
},
"id": 1
}'Response
RESPONSE
json
{
"status": "unknown"
}